## gammu 1.27.92

=== CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu
# Copyright (c) 2007 - 2010 Michal Cihar
# vim: expandtab sw=4 ts=4 sts=4:

# I didn't check older versions
# However 2.6 is needed for crosscompiling, Cpack components and other useful things
cmake_minimum_required (VERSION 2.4.2)

project (Gammu C)

# Where to lookup modules
set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# Silent some warnings from CMake 2.6
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

option (COVERAGE "Add flags for Coverage analysis" OFF)
option (ONLINE_TESTING "Enable testing of parts which use remote servers" OFF)
option (PSQL_TESTING "Enable testing of PostgreSQL SMSD backend" OFF)
option (MYSQL_TESTING "Enable testing of MySQL SMSD backend" OFF)

option (LARGE_FILES "Support for large files" ON)
if (LARGE_FILES)
    add_definitions(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64)
endif (LARGE_FILES)

if (CMAKE_CROSSCOMPILING AND MINGW)
    set (GAMMU_TEST_SUFFIX ".exe")
else (CMAKE_CROSSCOMPILING AND MINGW)
    set (GAMMU_TEST_SUFFIX "")
endif (CMAKE_CROSSCOMPILING AND MINGW)

# Set version
set (VERSION "1.27.92" CACHE INTERNAL "")
string (REGEX REPLACE "^([0-9]*)\\.([0-9]*)\\.([0-9]*)$" "\\1" "VERSION_MAJOR" "${VERSION}")
string (REGEX REPLACE "^([0-9]*)\\.([0-9]*)\\.([0-9]*)$" "\\2" "VERSION_MINOR" "${VERSION}")
string (REGEX REPLACE "^([0-9]*)\\.([0-9]*)\\.([0-9]*)$" "\\3" "VERSION_PATCH" "${VERSION}")
math(EXPR VERSION_NUM "${VERSION_MAJOR} * 10000 + ${VERSION_MINOR} * 100 + ${VERSION_PATCH}")
message (STATUS "Configuring ${CMAKE_PROJECT_NAME} ${VERSION}")

set (SOVERSION "7" CACHE INTERNAL "")

if ("${Gammu_BINARY_DIR}" STREQUAL "${Gammu_SOURCE_DIR}")
    message ("Warning: In tree build is not recommended way to build Gammu.")
endif ("${Gammu_BINARY_DIR}" STREQUAL "${Gammu_SOURCE_DIR}")

# For debugging
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
#    set (CMAKE_VERBOSE_MAKEFILE ON)
    set (DEBUG 1)
else (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (DEBUG 0)
endif (CMAKE_BUILD_TYPE STREQUAL "Debug")

# Standard packages
include (CheckCSourceCompiles)
include (CheckCCompilerFlag)
include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include (CheckTypeSize)
include (CheckLibraryExists)

# Packages in our sources (mostly taken from KDE)
include (MacroOptionalFindPackage)
include (MacroAddDLL)
include (MacroGammuOption)
include (MacroTuneCompiler)

# WE use pkgconfig later
find_package (PkgConfig)

# Standard packages
macro_optional_find_package (Doxygen)

# I'd say this is task of CMake to export this
check_symbol_exists (__clang__ "" CLANG_COMPILER)

# Configuration checks
check_symbol_exists (strncasecmp "string.h" HAVE_STRNCASECMP)
check_symbol_exists (strcasecmp "string.h" HAVE_STRCASECMP)
check_function_exists (strcasestr HAVE_STRCASESTR)
check_function_exists (strchrnul HAVE_STRCHRNUL)
check_function_exists (strtoull HAVE_STRTOULL)
check_include_file (dirent.h HAVE_DIRENT_H)
check_include_file (sys/ioctl.h HAVE_SYS_IOCTL_H)
check_include_file (sys/utsname.h HAVE_SYS_UTSNAME_H)
check_include_file (unistd.h HAVE_UNISTD_H)
check_include_file (wchar.h HAVE_WCHAR_H)
if (HAVE_WCHAR_H)
    check_include_files ("wchar.h;wctype.h" HAVE_WCTYPE_H)
    check_symbol_exists (iswspace "wchar.h;wctype.h" HAVE_ISWSPACE)
    check_symbol_exists (towlower "wchar.h;wctype.h" HAVE_TOWLOWER)
else (HAVE_WCHAR_H)
    check_include_file (wctype.h HAVE_WCTYPE_H)
    check_symbol_exists (iswspace "wctype.h" HAVE_ISWSPACE)
    check_symbol_exists (towlower "wctype.h" HAVE_TOWLOWER)
endif (HAVE_WCHAR_H)
check_include_file (strings.h HAVE_STRINGS_H)
# These checks are required for check_type_size() on cmake < 2.6.0
check_include_file (sys/types.h HAVE_SYS_TYPES_H)
check_include_file (stdint.h HAVE_STDINT_H)
check_include_file (stddef.h HAVE_STDDEF_H)
check_function_exists (scandir HAVE_SCANDIR)
check_function_exists (alphasort HAVE_ALPHASORT)
check_symbol_exists (getopt "unistd.h" HAVE_GETOPT)
check_symbol_exists (getopt_long "getopt.h" HAVE_GETOPT_LONG)
check_symbol_exists (daemon "unistd.h" HAVE_DAEMON_UNISTD)
check_symbol_exists (daemon "stdlib.h" HAVE_DAEMON_STDLIB)
check_symbol_exists (kill "signal.h" HAVE_KILL)
check_symbol_exists (getpwnam "pwd.h" HAVE_GETPWNAM)
check_symbol_exists (getgrnam "grp.h" HAVE_GETGRNAM)
check_symbol_exists (getpwuid "pwd.h" HAVE_GETPWUID)
check_symbol_exists (getuid "unistd.h" HAVE_GETUID)
check_symbol_exists (initgroups "grp.h" HAVE_INITGROUPS)
check_symbol_exists (setuid "unistd.h" HAVE_SETUID)
check_symbol_exists (setgid "unistd.h" HAVE_SETGID)
check_symbol_exists (SIGHUP "signal.h" HAVE_SIGHUP)
check_symbol_exists (dup "unistd.h" HAVE_DUP_UNISTD_H)
check_symbol_exists (getpid "unistd.h" HAVE_GETPID)
check_symbol_exists (getpass "unistd.h" HAVE_GETPASS)
check_symbol_exists (alarm "unistd.h" HAVE_ALARM)
check_symbol_exists (dup "io.h" HAVE_DUP_IO_H)
check_symbol_exists (shmget "sys/shm.h" HAVE_SHM)
check_c_source_compiles ("
#define _XOPEN_SOURCE
#define _BSD_SOURCE
#include <time.h>

int main(void) {
    struct tm timestruct;
    strptime(\"11:22\", \"%H:%M\", &timestruct);
    return 0;
}" HAVE_STRPTIME)
check_c_source_compiles ("
#include <stdio.h>
#include <syslog.h>
#include <stdarg.h>

int main(void) {
    syslog(LOG_NOTICE, \"aaa %d\", 1);
    return 0;
}
"  HAVE_SYSLOG)
# Some compilers (eg. BCC) have this in ctype.h
if (NOT HAVE_TOWLOWER)
    check_symbol_exists (towlower "ctype.h" HAVE_TOWLOWER_CTYPE)
    if (HAVE_TOWLOWER_CTYPE)
        set (HAVE_TOWLOWER ${HAVE_TOWLOWER_CTYPE} CACHE INTERNAL "")
    endif (HAVE_TOWLOWER_CTYPE)
endif (NOT HAVE_TOWLOWER)

# Standard packages
macro_optional_find_package (Threads)

# Used (optionally for testing)
find_program(SH_BIN sh)
find_program(BASH_BIN bash)
find_program(SQLITE_BIN sqlite3)
find_program(SED_BIN sed)
find_program(MYSQL_BIN mysql)
find_program(PSQL_BIN psql)

# Check for Python
set (BUILD_PYTHON "" CACHE FILEPATH "Path to python interpreter")

if (BUILD_PYTHON)
    set (WITH_PYTHON TRUE CACHE BOOL "Build Python bindings")
    set (PYTHON_EXECUTABLE ${BUILD_PYTHON})
    execute_process(
        COMMAND
            ${PYTHON_EXECUTABLE} -c "import distutils.sysconfig; print distutils.sysconfig.get_python_inc()"
        OUTPUT_VARIABLE PYTHON_INCLUDE_PATH
        OUTPUT_STRIP_TRAILING_WHITESPACE
        )
    execute_process(
        COMMAND
            ${PYTHON_EXECUTABLE} -c "import sys; v=sys.version_info[:2]; print '%d.%d' % v"
        OUTPUT_VARIABLE PYTHON_VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
        )
    message (STATUS "Compiling for Python ${PYTHON_VERSION}")

    string (REPLACE "." "" PYTHON_VERSION_NO_DOTS ${PYTHON_VERSION})
    find_library (PYTHON_LIBRARY
        NAMES python${PYTHON_VERSION_NO_DOTS} python${PYTHON_VERSION}
        PATHS
          [HKEY_LOCAL_MACHINE\\SOFTWARE\\Python\\PythonCore\\${PYTHON_VERSION}\\InstallPath]/libs
        PATH_SUFFIXES
          python${PYTHON_VERSION}/config
        # Avoid finding the .dll in the PATH.  We want the .lib.
        NO_SYSTEM_ENVIRONMENT_PATH
      )
else (BUILD_PYTHON)
    find_package(PythonInterp)
    find_package(PythonLibs)

    if (PYTHONINTERP_FOUND AND PYTHONLIBS_FOUND)
        set (WITH_PYTHON TRUE CACHE BOOL "Build Python bindings")
    else (PYTHONINTERP_FOUND AND PYTHONLIBS_FOUND)
        set (WITH_PYTHON FALSE CACHE BOOL "Build Python bindings" FORCE)
    endif (PYTHONINTERP_FOUND AND PYTHONLIBS_FOUND)
endif (BUILD_PYTHON)

# Packages in sources
macro_optional_find_package (MySQL)
macro_optional_find_package (Postgres)
macro_optional_find_package (LibDBI)
macro_optional_find_package (GettextLibs)
macro_optional_find_package (Iconv)
macro_optional_find_package (CURL)

if (CMAKE_CROSSCOMPILING AND MINGW)
    set (HAVE_WINT_T 4 CACHE INTERNAL "")
    set (HAVE_WCHAR_T 4 CACHE INTERNAL "")
else (CMAKE_CROSSCOMPILING AND MINGW)
    # Search for needed includes and functions
    if (HAVE_WCHAR_H)
        set (CMAKE_EXTRA_INCLUDE_FILES wchar.h)
        check_type_size (wchar_t HAVE_WCHAR_T)
        check_type_size (wint_t  HAVE_WINT_T)
    endif (HAVE_WCHAR_H)
    set (CMAKE_EXTRA_INCLUDE_FILES)
endif (CMAKE_CROSSCOMPILING AND MINGW)

check_type_size (ssize_t HAVE_SSIZE_T)
check_type_size(intptr_t HAVE_INTPTR_T)

check_c_source_compiles ("
#include <stdio.h>

int main(void) {
    printf( __FUNCTION__);
    return 0;
}
"  HAVE_MACRO_FUNCTION)

check_c_source_compiles ("
#include <time.h>

int main(void) {
    struct tm tm;
    tm.tm_zone;
    return 0;
}
"  HAVE_STRUCT_TM_TM_ZONE)

check_c_source_compiles ("
#include <stdio.h>

int main(void) {
    printf( __FUNC__);
    return 0;
}
"  HAVE_MACRO_FUNC)

OPTION(WITH_BLUETOOTH "Bluetooth support" ON)
if (WITH_BLUETOOTH)
    if (WIN32 AND NOT CYGWIN)
        # FIXME: This is currently hardcoded here, maybe there is test?
        set(BLUETOOTH_FOUND ON)
        message(STATUS "Using Windows native Bluetooth")
        set(BLUETOOTH_SEARCH TRUE)
    elseif(CYGWIN)
        message(STATUS "Bluetooth is currently not supported in Cygwin")
        message(STATUS "If you need it, contact us")
    else (WIN32 AND NOT CYGWIN)
        find_package (Bluez)
        if (BLUEZ_FOUND)
            set(BLUETOOTH_FOUND ON)
            set(BLUETOOTH_SEARCH TRUE)
            message(STATUS "Using BlueZ stack")
        endif (BLUEZ_FOUND)
        find_package (BSDBluetooth)
        if (BSD_BLUE_FOUND)
            set(BLUETOOTH_FOUND ON)
            message(STATUS "Using BSD Bluetooth stack")
	    check_library_exists(bluetooth sdp_service_search_attribute "" HAVE_SDP_SERVICE_SEARCH_ATTRIBUTE)
	    check_library_exists(bluetooth bt_devinquiry "" HAVE_BT_DEVINQUIRY)
	    if (HAVE_SDP_SERVICE_SEARCH_ATTRIBUTE AND HAVE_BT_DEVINQUIRY)
		set(BLUETOOTH_SEARCH TRUE)
	    endif (HAVE_SDP_SERVICE_SEARCH_ATTRIBUTE AND HAVE_BT_DEVINQUIRY)
        endif (BSD_BLUE_FOUND)
        find_package (OSXBluetooth)
        if (OSX_BLUE_FOUND)
            set(BLUETOOTH_FOUND ON)
            set(BLUETOOTH_SEARCH FALSE)
            message(STATUS "Using OSX Bluetooth stack")
        endif (OSX_BLUE_FOUND)
    endif (WIN32 AND NOT CYGWIN)
else (WITH_BLUETOOTH)
    set(BLUETOOTH_FOUND FALSE)
    set(BLUETOOTH_INCLUDE_DIR)
    set(BLUETOOTH_INCLUDES)
    set(BLUETOOTH_LIBRARY)
    set(BLUETOOTH_LIBRARIES)
endif (WITH_BLUETOOTH)

if (BLUETOOTH_FOUND)
    message(STATUS "Bluetooth support enabled")
else (BLUETOOTH_FOUND)
    if (WITH_BLUETOOTH AND NOT CYGWIN)
        message("Bluetooth support disabled, please install libbluetooth-dev or equivalent to enable Bluetooth.")
    endif (WITH_BLUETOOTH AND NOT CYGWIN)
endif (BLUETOOTH_FOUND)

macro_gammu_option (BLUETOOTH_RF_SEARCHING "Searching for RF channels with Bluetooth stack" ON BLUETOOTH_FOUND BLUETOOTH_SEARCH)
if (WITH_BLUETOOTH_RF_SEARCHING)
    set (BLUETOOTH_RF_SEARCHING ON)
endif (WITH_BLUETOOTH_RF_SEARCHING)

OPTION(WITH_USB "Native USB support" ON)
if (WITH_USB)
    find_package (LibUSB)
endif (WITH_USB)

OPTION(WITH_IRDA "IrDA support" ON)
if (WITH_IRDA)
    if (WIN32 AND NOT CYGWIN)
        # FIXME: This is currently hardcoded here, maybe there is test?
        set (IRDA_FOUND TRUE)
        message(STATUS "Using Windows native IrDA")
    elseif(CYGWIN)
        message(STATUS "IrDA is currently not supported in Cygwin")
        message(STATUS "If you need it, contact us")
        set (IRDA_FOUND FALSE)
    else (WIN32 AND NOT CYGWIN)
        check_c_source_compiles (
            "
#include <sys/socket.h>
#include <linux/types.h>
#include <sys/ioctl.h>
#include <linux/irda.h>
    int main(int argc, char **argv) {
        return 0;
    }
            "
            IRDA_FOUND
            )
        if (IRDA_FOUND)
            message(STATUS "Using Linux native IrDA")
        endif (IRDA_FOUND)
    endif (WIN32 AND NOT CYGWIN)
else (WITH_IRDA)
    set (IRDA_FOUND FALSE)
endif (WITH_IRDA)

if (IRDA_FOUND)
    message(STATUS "IrDA support enabled")
endif (IRDA_FOUND)

if (MYSQL_FOUND)

=== contrib/CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu contrib files
# Copyright (c) 2007 - 2010 Michal Cihar
# vim: expandtab sw=4 ts=4 sts=4:

project (Gammu-contrib C)

option(INSTALL_GNAPPLET "Install Gnapplet binaries" ON)
option(INSTALL_MEDIA "Install sample media files" ON)
option(INSTALL_PHP_EXAMPLES "Install PHP example scripts" ON)

if (BASH_BIN)
    option(INSTALL_BASH_COMPLETION "Install bash completion script for Gammu" ON)
else (BASH_BIN)
    option(INSTALL_BASH_COMPLETION "Install bash completion script for Gammu" OFF)
endif (BASH_BIN)

option(INSTALL_LSB_INIT "Install LSB compatible init script for Gammu" OFF)

set (SYMBIAN_FILES
    symbian/readme.txt
    symbian/gnapplet.ini
    symbian/gnapplet.sis
    )

file(GLOB MEDIA_FILES "media/*.txt" "media/*.nlm")

set (PHP_EXAMPLES
    php/class_gammu/class.gammu.php
    php/class_gammu/class.sms.gammu.php
    php/class_gammu/README
    php/smsd-mysql-admin/admin.php
    php/smsd-mysql-linked/linked.php
    php/smsd-mysql-linked/linked.sql
    php/smsd-mysql-intergammu/config.php
    php/smsd-mysql-intergammu/funcoes/func.gammu.php
    php/smsd-mysql-intergammu/funcoes/func.sql.php
    php/smsd-mysql-intergammu/index.php
    php/smsd-mysql-intergammu/intergammu.txt
    php/smsd-mysql-intergammu/proc/admin.php
    php/smsd-mysql-intergammu/proclast.sql
    php/smsd-mysql-list/sms.php
    )

if (INSTALL_GNAPPLET)
    install (
        FILES ${SYMBIAN_FILES}
        DESTINATION "${INSTALL_DOC_DIR}/symbian"
        COMPONENT "gnapplet"
        )
endif (INSTALL_GNAPPLET)

if (INSTALL_MEDIA)
    install (
        FILES ${MEDIA_FILES}
        DESTINATION "${INSTALL_DOC_DIR}/examples/media"
        COMPONENT "media"
        )
endif (INSTALL_MEDIA)


if (INSTALL_PHP_EXAMPLES)
    foreach (EXAMPLE ${PHP_EXAMPLES})
        get_filename_component(DIRNAME ${EXAMPLE} PATH)
        install (
            FILES ${EXAMPLE}
            DESTINATION "${INSTALL_DOC_DIR}/examples/${DIRNAME}"
            COMPONENT "examples"
            )
    endforeach (EXAMPLE)
endif (INSTALL_PHP_EXAMPLES)

if (INSTALL_BASH_COMPLETION)
    install (
        FILES bash-completion/gammu
        DESTINATION "/etc/bash_completion.d"
        COMPONENT "bash"
        )
endif (INSTALL_BASH_COMPLETION)

if (INSTALL_LSB_INIT)
    install (
        FILES init/gammu-smsd.lsb
        DESTINATION "/etc/init.d"
        RENAME "gammu-smsd"
        COMPONENT "initscript"
        )
else (INSTALL_LSB_INIT)
    message (STATUS "Init script not being installed, install it by -DINSTALL_LSB_INIT=ON")
endif (INSTALL_LSB_INIT)

# Build some examples
# We do not install them intentionally, just check whether they still compile
add_subdirectory(smscgi)

=== libgammu/CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu
# Copyright © 2007 - 2009 Michal Čihař
# vim: expandtab sw=4 ts=4 sts=4:

project (libGammu C)

include(GammuTuneCompiler)

set (LIBRARY_SRC
    gsmcomon.c
    gsmphones.c
    gsmstate.c
    api.c
    debug.c
    misc/misc.c
    misc/cfg.c
    misc/coding/coding.c
    misc/coding/md5.c
    service/sms/gsmsms.c
    service/sms/gsmems.c
    service/sms/gsmmulti.c
    service/gsmcal.c
    service/gsmdata.c
    service/gsmpbk.c
    service/gsmring.c
    service/gsmlogo.c
    service/gsmmisc.c
    service/gsmnet.c
    service/backup/gsmback.c
    service/backup/backldif.c
    service/backup/backlmb.c
    service/backup/backtext.c
    service/backup/backvcs.c
    service/backup/backvcf.c
    service/backup/backics.c
    service/backup/backvnt.c
    device/bluetoth/bluetoth.c
    device/irda/irda.c
    device/devfunc.c
    protocol/at/at.c
    protocol/alcatel/alcabus.c
    protocol/nokia/mbus2.c
    protocol/nokia/fbus2.c
    protocol/nokia/phonet.c
    protocol/obex/obex.c
    protocol/symbian/gnapbus.c
    phone/pfunc.c
    phone/at/atgen.c
    phone/at/at-sms.c
    phone/at/siemens.c
    phone/at/samsung.c
    phone/at/motorola.c
    phone/alcatel/alcatel.c
    phone/atobex/atobex.c
    phone/nokia/dct3/n0650.c
    phone/nokia/dct3/n6110.c
    phone/nokia/dct3/n7110.c
    phone/nokia/dct3/n9210.c
    phone/nokia/dct3/dct3func.c
    phone/nokia/dct4s40/n3320.c
    phone/nokia/dct4s40/dct4func.c
    phone/nokia/dct4s40/6510/n6510.c
    phone/nokia/dct4s40/6510/6510cal.c
    phone/nokia/dct4s40/6510/6510file.c
    phone/nokia/wd2/n3650.c
    phone/nokia/nauto.c
    phone/nokia/nfunc.c
    phone/nokia/nfuncold.c
    phone/obex/obexgen.c
    phone/dummy/dummy.c
    phone/symbian/gnapgen.c)

if (BLUEZ_FOUND)
    list (APPEND LIBRARY_SRC device/bluetoth/bluez.c)
endif (BLUEZ_FOUND)
if (LIBUSB_FOUND)
    list (APPEND LIBRARY_SRC device/usb/usb.c)
endif (LIBUSB_FOUND)
if (BSD_BLUE_FOUND)
    list (APPEND LIBRARY_SRC device/bluetoth/blue_bsd.c)
endif (BSD_BLUE_FOUND)
if (OSX_BLUE_FOUND)
    list (APPEND LIBRARY_SRC device/bluetoth/blue_osx.c)
endif (OSX_BLUE_FOUND)
if (WIN32 AND NOT CYGWIN)
    list (APPEND LIBRARY_SRC device/bluetoth/blue_w32.c)
endif (WIN32 AND NOT CYGWIN)

if (CYGWIN OR NOT WIN32 AND NOT DJGPP)
    list (APPEND LIBRARY_SRC device/serial/ser_unx.c)
endif (CYGWIN OR NOT WIN32 AND NOT DJGPP)
if (DJGPP)
    list (APPEND LIBRARY_SRC device/serial/ser_djg.c)
endif (DJGPP)
if (WIN32 AND NOT CYGWIN)
    list (APPEND LIBRARY_SRC device/serial/ser_w32.c)
endif (WIN32 AND NOT CYGWIN)

# Library
add_library (libGammu ${LIBRARY_SRC})
set_target_properties (libGammu PROPERTIES
    VERSION ${SOVERSION}.${VERSION}
    SOVERSION ${SOVERSION}
    OUTPUT_NAME Gammu)
if (CMAKE_COMPILER_IS_GNUCC AND NOT CMAKE_COMPILER_IS_MINGW AND NOT CMAKE_COMPILER_IS_CYGWIN)
    set_target_properties (libGammu PROPERTIES COMPILE_FLAGS -fPIC)
endif (CMAKE_COMPILER_IS_GNUCC AND NOT CMAKE_COMPILER_IS_MINGW AND NOT CMAKE_COMPILER_IS_CYGWIN)
if(CMAKE_COMPILER_IS_MINGW AND BUILD_SHARED_LIBS)
    SET_TARGET_PROPERTIES(libGammu PROPERTIES LINK_FLAGS
        "-Wl,--output-def,${CMAKE_CURRENT_BINARY_DIR}/libGammu.def")
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libGammu.def
            DESTINATION "${INSTALL_LIB_DIR}"
            COMPONENT library)
endif(CMAKE_COMPILER_IS_MINGW AND BUILD_SHARED_LIBS)


target_link_libraries (libGammu string)

if (BLUEZ_FOUND)
    target_link_libraries (libGammu ${BLUEZ_LIBRARIES})
    include_directories (${BLUEZ_INCLUDE_DIR})
endif (BLUEZ_FOUND)

if (LIBUSB_FOUND)
    target_link_libraries (libGammu ${LIBUSB_LIBRARIES})
    include_directories (${LIBUSB_INCLUDE_DIR})
endif (LIBUSB_FOUND)

if (BSD_BLUE_FOUND)
    target_link_libraries (libGammu ${BSD_BLUE_LIBRARIES})
    include_directories (${BSD_BLUE_INCLUDE_DIR})
endif (BSD_BLUE_FOUND)

if (OSX_BLUE_FOUND)
    target_link_libraries (libGammu ${OSX_BLUE_LIBS})
    include_directories (${OSX_BLUE_INCLUDE_DIR})
endif (OSX_BLUE_FOUND)

if (ICONV_FOUND)
    target_link_libraries (libGammu ${ICONV_LIBRARIES})
    include_directories (${ICONV_INCLUDE_DIR})
endif (ICONV_FOUND)

if (UNIX)
    find_library (MATH_LIBRARIES m)
    target_link_libraries (libGammu ${MATH_LIBRARIES})
endif (UNIX)

if (GETTEXTLIBS_FOUND)
    target_link_libraries (libGammu ${GETTEXT_LIBRARIES})
    include_directories (${GETTEXT_INCLUDE_DIR})
endif (GETTEXTLIBS_FOUND)

# dirent emulation layer
if(WIN32 AND NOT CMAKE_COMPILER_IS_MINGW AND NOT CMAKE_COMPILER_IS_CYGWIN)
    target_link_libraries (libGammu win32dirent)
endif(WIN32 AND NOT CMAKE_COMPILER_IS_MINGW AND NOT CMAKE_COMPILER_IS_CYGWIN)

# Include search path
include_directories ("${Gammu_BINARY_DIR}/include")
include_directories ("${Gammu_SOURCE_DIR}/common")

# Add libraries needed for windows build
if (WIN32 AND NOT CYGWIN)
    # Magic needed for SHGetFolderPathA
    target_link_libraries (libGammu shfolder shell32)
    # Win sock
    target_link_libraries (libGammu ws2_32)
    # These libraries are needed for serial driver
    target_link_libraries (libGammu setupapi advapi32)
endif (WIN32 AND NOT CYGWIN)

# Install instructions
install (TARGETS libGammu
        RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
        COMPONENT library
        LIBRARY DESTINATION "${INSTALL_LIB_DIR}"
        COMPONENT library
        ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
        COMPONENT library
        )

=== python/CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for python-gammu
# Copyright (c) 2007 - 2010 Michal Cihar
# vim: expandtab sw=4 ts=4 sts=4:

project (python-gammu C)

add_subdirectory(gammu)

# Testing
include(CMakeTests.txt)

# Documentation
find_program(EPYDOC_EXECUTABLE NAMES epydoc
    DOC "Epydoc tool for generating Python API documentation <http://epydoc.sourceforge.net/>")
if (EPYDOC_EXECUTABLE)
    add_custom_target (pydoc ${PYTHON_EXECUTABLE} ${EPYDOC_EXECUTABLE} --verbose --name python-gammu --url http://wammu.eu/python-gammu/ gammu
        DEPENDS ${PYFILES} ${PYTHON_GAMMU_SRC}
        COMMENT "Generating Python documentation")
endif (EPYDOC_EXECUTABLE)


find_program(SPHINX_BUILD_EXECUTABLE NAMES sphinx-build
    DOC "Sphinx tool for generating Python-gammu documentation <http://sphinx.pocoo.org/>")
if (SPHINX_BUILD_EXECUTABLE)
    set (SPHINX_PAPER_SIZE "a4" CACHE STRING "Paper size for Sphinx LaTeX output")
    configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/doc/conf.py" "${CMAKE_CURRENT_BINARY_DIR}/conf.py" @ONLY)
    macro(sphinxdoc _format)
        add_custom_target (pydoc-${_format} ${PYTHON_EXECUTABLE} ${SPHINX_BUILD_EXECUTABLE}
                -c ${CMAKE_CURRENT_BINARY_DIR}/
                -b ${_format}
                -D latex_paper_size=${SPHINX_PAPER_SIZE}
                ${CMAKE_CURRENT_SOURCE_DIR}/doc
                ${CMAKE_CURRENT_BINARY_DIR}/doc-${_format}
            DEPENDS ${PYFILES} ${PYTHON_GAMMU_SRC}
            COMMENT "Generating Sphinx documentation (${_format})")
    endmacro(sphinxdoc _format)
    sphinxdoc(html)
    sphinxdoc(htmlhelp)
    sphinxdoc(latex)
endif (SPHINX_BUILD_EXECUTABLE)

=== tests/CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu
# Copyright © 2007 - 2009 Michal Čihař
# vim: expandtab sw=4 ts=4 sts=4:

project (gammu-tests C)

include(SetupDummyPhone)

include(GammuTuneCompiler)

# Define path for cmake tests
if (EXECUTABLE_OUTPUT_PATH)
    set (GAMMU_TEST_PATH "${EXECUTABLE_OUTPUT_PATH}/")
else (EXECUTABLE_OUTPUT_PATH)
    set (GAMMU_TEST_PATH "${CMAKE_CURRENT_BINARY_DIR}/")
endif (EXECUTABLE_OUTPUT_PATH)

# We use Gammu
include_directories("${Gammu_BINARY_DIR}/include")

# Basic check for statemachine allocation
add_executable(statemachine-alloc statemachine-alloc.c)
target_link_libraries(statemachine-alloc libGammu)
add_test(statemachine-alloc "${GAMMU_TEST_PATH}/statemachine-alloc${GAMMU_TEST_SUFFIX}")

# Basic check for sizes
add_executable(sizes sizes.c)
add_test(sizes "${GAMMU_TEST_PATH}/sizes${GAMMU_TEST_SUFFIX}")
set_tests_properties(sizes PROPERTIES
    FAIL_REGULAR_EXPRESSION "[0-9][0-9] MiB")

# Array manipulation tests
add_executable(array-test array-test.c)
target_link_libraries (array-test array)
add_test(array "${GAMMU_TEST_PATH}/array-test${GAMMU_TEST_SUFFIX}")

# Basic check for statemachine functionality
add_executable(statemachine-init statemachine-init.c)
target_link_libraries(statemachine-init libGammu)
add_test(statemachine-init "${GAMMU_TEST_PATH}/statemachine-init${GAMMU_TEST_SUFFIX}")

# Debug testing
add_executable(debug debug.c)
target_link_libraries(debug libGammu)
add_test(debug "${GAMMU_TEST_PATH}/debug${GAMMU_TEST_SUFFIX}")

# Check error code  descriptions
add_executable(dump-error-codes dump-error-codes.c)
target_link_libraries(dump-error-codes libGammu)
add_test(dump-error-codes "${GAMMU_TEST_PATH}/dump-error-codes${GAMMU_TEST_SUFFIX}" "-n")

# Check feature code names
add_executable(dump-features dump-features.c)
target_link_libraries(dump-features libGammu)
add_test(dump-features "${GAMMU_TEST_PATH}/dump-features${GAMMU_TEST_SUFFIX}" "-n")

# Check feature parsing
add_executable(features-parsing features-parsing.c)
target_link_libraries(features-parsing libGammu)
add_test(features-parsing "${GAMMU_TEST_PATH}/features-parsing${GAMMU_TEST_SUFFIX}" "-n")

# Check network codes decoding
add_executable(network-codes network-codes.c)
target_link_libraries(network-codes libGammu)
add_test(network-codes "${GAMMU_TEST_PATH}/network-codes${GAMMU_TEST_SUFFIX}" "-n")

# smsbackup parsing
add_executable(smsbackup smsbackup.c)
target_link_libraries(smsbackup messagedisplay)
target_link_libraries(smsbackup libGammu)

# List test cases
file(GLOB VCARDS
    RELATIVE "${Gammu_SOURCE_DIR}/tests/smsbackups"
    "${Gammu_SOURCE_DIR}/tests/smsbackups/*.smsbackup")
list(SORT VCARDS)

foreach(TESTVCARD ${VCARDS})
    string(REPLACE .smsbackup "" TESTNAME ${TESTVCARD})
    add_test("smsbackup-${TESTNAME}"
        "${GAMMU_TEST_PATH}/smsbackup${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/smsbackups/${TESTVCARD}")
endforeach(TESTVCARD $VCARDS)


# vCard parsing
add_executable(vcard-read vcard-read.c)
target_link_libraries(vcard-read memorydisplay)
target_link_libraries(vcard-read libGammu)

# List test cases
file(GLOB VCARDS
    RELATIVE "${Gammu_SOURCE_DIR}/tests/vcards"
    "${Gammu_SOURCE_DIR}/tests/vcards/*.vcf")
list(SORT VCARDS)

foreach(TESTVCARD ${VCARDS})
    string(REPLACE vcf backup TESTBACKUP ${TESTVCARD})
    string(REPLACE .vcf "" TESTNAME ${TESTVCARD})
    add_test("vcard-read-${TESTNAME}"
        "${GAMMU_TEST_PATH}/vcard-read${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/vcards/${TESTVCARD}"
        "${Gammu_SOURCE_DIR}/tests/vcards/${TESTBACKUP}")
endforeach(TESTVCARD $VCARDS)

file(GLOB VCARDS
    RELATIVE "${Gammu_SOURCE_DIR}/tests/vcards-failing"
    "${Gammu_SOURCE_DIR}/tests/vcards-failing/*.vcf")
list(SORT VCARDS)

foreach(TESTVCARD ${VCARDS})
    string(REPLACE vcf backup TESTBACKUP ${TESTVCARD})
    string(REPLACE .vcf "" TESTNAME ${TESTVCARD})
    add_test("vcard-read-${TESTNAME}"
        "${GAMMU_TEST_PATH}/vcard-read${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/vcards-failing/${TESTVCARD}"
        "${Gammu_SOURCE_DIR}/tests/vcards-failing/${TESTBACKUP}")
    set_tests_properties(
        "vcard-read-${TESTNAME}"
        PROPERTIES WILL_FAIL TRUE)
endforeach(TESTVCARD $VCARDS)

# [iv]Calendar parsing
add_executable(cal-read cal-read.c)
target_link_libraries(cal-read libGammu)

# List test cases
file(GLOB VCALS
    RELATIVE "${Gammu_SOURCE_DIR}/tests/vcal"
    "${Gammu_SOURCE_DIR}/tests/vcal/*.vcs")
list(SORT VCALS)

foreach(TESTVCAL ${VCALS})
    string(REPLACE vcs backup TESTBACKUP ${TESTVCAL})
    string(REPLACE .vcs "" TESTNAME ${TESTVCAL})
    add_test("cal-read-${TESTNAME}"
        "${GAMMU_TEST_PATH}/cal-read${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/vcal/${TESTVCAL}"
        "${Gammu_SOURCE_DIR}/tests/vcal/${TESTBACKUP}")
endforeach(TESTVCAL $VCALS)

# List test cases
file(GLOB VCALS
    RELATIVE "${Gammu_SOURCE_DIR}/tests/vcal"
    "${Gammu_SOURCE_DIR}/tests/vcal/*.ics")
list(SORT VCALS)

foreach(TESTVCAL ${VCALS})
    string(REPLACE ics backup TESTBACKUP ${TESTVCAL})
    string(REPLACE .ics "" TESTNAME ${TESTVCAL})
    add_test("cal-read-${TESTNAME}"
        "${GAMMU_TEST_PATH}/cal-read${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/vcal/${TESTVCAL}"
        "${Gammu_SOURCE_DIR}/tests/vcal/${TESTBACKUP}")
endforeach(TESTVCAL $VCALS)

# SMS parsing
add_executable(sms-nokia-01 sms-nokia-01.c)
target_link_libraries(sms-nokia-01 libGammu)
target_link_libraries(sms-nokia-01 messagedisplay)
add_test(sms-nokia-01 "${GAMMU_TEST_PATH}/sms-nokia-01${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-02 sms-nokia-02.c)
target_link_libraries(sms-nokia-02 libGammu)
target_link_libraries(sms-nokia-02 messagedisplay)
add_test(sms-nokia-02 "${GAMMU_TEST_PATH}/sms-nokia-02${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-03 sms-nokia-03.c)
target_link_libraries(sms-nokia-03 libGammu)
target_link_libraries(sms-nokia-03 messagedisplay)
add_test(sms-nokia-03 "${GAMMU_TEST_PATH}/sms-nokia-03${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-04 sms-nokia-04.c)
target_link_libraries(sms-nokia-04 libGammu)
target_link_libraries(sms-nokia-04 messagedisplay)
add_test(sms-nokia-04 "${GAMMU_TEST_PATH}/sms-nokia-04${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-05 sms-nokia-05.c)
target_link_libraries(sms-nokia-05 libGammu)
target_link_libraries(sms-nokia-05 messagedisplay)
add_test(sms-nokia-05 "${GAMMU_TEST_PATH}/sms-nokia-05${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-06 sms-nokia-06.c)
target_link_libraries(sms-nokia-06 libGammu)
target_link_libraries(sms-nokia-06 messagedisplay)
add_test(sms-nokia-06 "${GAMMU_TEST_PATH}/sms-nokia-06${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-07 sms-nokia-07.c)
target_link_libraries(sms-nokia-07 libGammu)
add_test(sms-nokia-07 "${GAMMU_TEST_PATH}/sms-nokia-07${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-08 sms-nokia-08.c)
target_link_libraries(sms-nokia-08 libGammu)
target_link_libraries(sms-nokia-08 messagedisplay)
add_test(sms-nokia-08 "${GAMMU_TEST_PATH}/sms-nokia-08${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-09 sms-nokia-09.c)
target_link_libraries(sms-nokia-09 libGammu)
target_link_libraries(sms-nokia-09 messagedisplay)
add_test(sms-nokia-09 "${GAMMU_TEST_PATH}/sms-nokia-09${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-10 sms-nokia-10.c)
target_link_libraries(sms-nokia-10 libGammu)
target_link_libraries(sms-nokia-10 messagedisplay)
add_test(sms-nokia-10 "${GAMMU_TEST_PATH}/sms-nokia-10${GAMMU_TEST_SUFFIX}")

add_executable(sms-nokia-11 sms-nokia-11.c)
target_link_libraries(sms-nokia-11 libGammu)
target_link_libraries(sms-nokia-11 messagedisplay)
add_test(sms-nokia-11 "${GAMMU_TEST_PATH}/sms-nokia-11${GAMMU_TEST_SUFFIX}")

# Nokia ringtone
add_executable(nokia-6110-ringtone nokia-6110-ringtone.c)
target_link_libraries(nokia-6110-ringtone libGammu)
add_test(nokia-6110-ringtone "${GAMMU_TEST_PATH}/nokia-6110-ringtone${GAMMU_TEST_SUFFIX}")

# AT SMS parsing
add_executable(sms-at-parse sms-at-parse.c)
target_link_libraries(sms-at-parse libGammu)
target_link_libraries(sms-at-parse messagedisplay)

# AT SMS parsing - simple PDU decoder
add_executable(pdu-decode pdu-decode.c)

# List test cases for success
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/at-sms"
    "${Gammu_SOURCE_DIR}/tests/at-sms/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
    add_test("sms-at-parse-${TESTNAME}"
        "${GAMMU_TEST_PATH}/sms-at-parse${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/at-sms/${TESTMESSAGE}")
    add_test("pdu-decode-${TESTNAME}"
        "${GAMMU_TEST_PATH}/pdu-decode${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/at-sms/${TESTMESSAGE}")
endforeach(TESTMESSAGE $MESSAGES)

# List test cases for TXT mode
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/at-sms-txt"
    "${Gammu_SOURCE_DIR}/tests/at-sms-txt/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
    add_test("sms-at-parse-${TESTNAME}"
        "${GAMMU_TEST_PATH}/sms-at-parse${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/at-sms-txt/${TESTMESSAGE}"
        "TXT")
endforeach(TESTMESSAGE $MESSAGES)

# List test cases for failure
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/at-sms-failing"
    "${Gammu_SOURCE_DIR}/tests/at-sms-failing/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
    add_test("sms-at-parse-fail-${TESTNAME}"
        "${GAMMU_TEST_PATH}/sms-at-parse${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/at-sms-failing/${TESTMESSAGE}")
    add_test("pdu-decode-fail-${TESTNAME}"
        "${GAMMU_TEST_PATH}/pdu-decode${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/at-sms-failing/${TESTMESSAGE}")
    set_tests_properties(
        "pdu-decode-fail-${TESTNAME}"
        "sms-at-parse-fail-${TESTNAME}"
        PROPERTIES WILL_FAIL TRUE)
endforeach(TESTMESSAGE $MESSAGES)

# List test cases
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/at-sms"
    "${Gammu_SOURCE_DIR}/tests/at-sms/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
endforeach(TESTMESSAGE $MESSAGES)

# AT model parsing
add_executable(get-model-at get-model-at.c)
target_link_libraries(get-model-at libGammu)

# List test cases
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/at-model"
    "${Gammu_SOURCE_DIR}/tests/at-model/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
    add_test("get-model-at-${TESTNAME}"
        "${GAMMU_TEST_PATH}/get-model-at${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/at-model/${TESTMESSAGE}")
endforeach(TESTMESSAGE $MESSAGES)

# Samsung memory parsing
add_executable(samsung-get-memory samsung-get-memory.c)
target_link_libraries(samsung-get-memory libGammu)
target_link_libraries(samsung-get-memory memorydisplay)

# List test cases
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/samsung-memory"
    "${Gammu_SOURCE_DIR}/tests/samsung-memory/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
    add_test("samsung-get-memory-${TESTNAME}"
        "${GAMMU_TEST_PATH}/samsung-get-memory${GAMMU_TEST_SUFFIX}"
        "${Gammu_SOURCE_DIR}/tests/samsung-memory/${TESTMESSAGE}")
endforeach(TESTMESSAGE $MESSAGES)

# AT getting of available phone memories
add_executable(at-get-smsmemories at-get-smsmemories.c)
target_link_libraries(at-get-smsmemories libGammu)

# List test cases for all memories
file(GLOB MESSAGES
    RELATIVE "${Gammu_SOURCE_DIR}/tests/at-cpms"
    "${Gammu_SOURCE_DIR}/tests/at-cpms/*.dump")
list(SORT MESSAGES)

foreach(TESTMESSAGE ${MESSAGES})
    string(REPLACE .dump "" TESTNAME ${TESTMESSAGE})
    add_test("at-get-smsmemories-${TESTNAME}"

=== docs/develop/CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu docs
# Copyright (c) 2007 - 2010 Michal Cihar
# vim: expandtab sw=4 ts=4 sts=4:

project (Gammu-doc-devel C)

set (DEVELDOCS
    Gammu.htm
    PORTING
    develop.txt
    gammu_hints.txt
    protocol/TDMA_5120.txt
    protocol/carkit.txt
    protocol/n6110.txt
    protocol/n6510.txt
    protocol/n7110.txt
    protocol/nokia.txt
    protocol/readme
    sms/charset.txt
    sms/convert.txt
    sms/readme
    sounds/readme
    sounds/ring2.txt
    examples/Makefile
    examples/phone-info.c
    examples/sms-send.c
    )

foreach (DOC ${DEVELDOCS})
    get_filename_component(DIRNAME ${DOC} PATH)
    install (
        FILES ${DOC}
        DESTINATION "${INSTALL_DOC_DIR}/devel/${DIRNAME}"
        COMPONENT "develdocs"
        )
endforeach (DOC)

=== python/gammu/CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu
# Copyright (c) 2007 - 2010 Michal Cihar
# vim: expandtab sw=4 ts=4 sts=4:

project (python-gammu-module C)

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_MINGW OR
    CMAKE_COMPILER_IS_CYGWIN OR CMAKE_COMPILER_IS_GNUCXX)
# Needed for Python at least for PyObject and PyTypeObject handling
MACRO_TUNE_COMPILER("-fno-strict-aliasing")
endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_MINGW OR
    CMAKE_COMPILER_IS_CYGWIN OR CMAKE_COMPILER_IS_GNUCXX)

# Python has defined these functions, but MinGW does also have them...
if (MINGW)
    check_symbol_exists (acosh "math.h" HAVE_ACOSH)
    if (HAVE_ACOSH)
        add_definitions(-DHAVE_ACOSH)
    endif (HAVE_ACOSH)
    check_symbol_exists (asinh "math.h" HAVE_ASINH)
    if (HAVE_ASINH)
        add_definitions(-DHAVE_ASINH)
    endif (HAVE_ASINH)
    check_symbol_exists (atanh "math.h" HAVE_ATANH)
    if (HAVE_ATANH)
        add_definitions(-DHAVE_ATANH)
    endif (HAVE_ATANH)
    check_symbol_exists (log1p "math.h" HAVE_LOG1P)
    if (HAVE_LOG1P)
        add_definitions(-DHAVE_LOG1P)
    endif (HAVE_LOG1P)
endif (MINGW)

execute_process(
    COMMAND
        ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; print sysconfig.get_python_lib(plat_specific=1,prefix='${CMAKE_INSTALL_EXEC_PREFIX}')"
    OUTPUT_VARIABLE PYTHON_SITEDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
    )

set (PYTHON_GAMMU_SRC
    src/gammu.c
    src/smsd.c
    src/misc.c
    src/errors.c
    src/convertors/backup.c
    src/convertors/base.c
    src/convertors/bitmap.c
    src/convertors/calendar.c
    src/convertors/call.c
    src/convertors/file.c
    src/convertors/memory.c
    src/convertors/misc.c
    src/convertors/ringtone.c
    src/convertors/sms.c
    src/convertors/string.c
    src/convertors/time.c
    src/convertors/todo.c
    src/convertors/wap.c
    )

execute_process(
    COMMAND
        ${PYTHON_EXECUTABLE} -c "import sys
if hasattr(sys, 'pydebug'):
    print sys.pydebug"
    OUTPUT_VARIABLE PYTHON_DEBUG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    )

include_directories (
    "${Gammu_BINARY_DIR}/include"
    "${Gammu_SOURCE_DIR}/python/include"
    ${PYTHON_INCLUDE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_library(python_gammu MODULE ${PYTHON_GAMMU_SRC})
set_target_properties (python_gammu PROPERTIES
    PREFIX ""
    INSTALL_RPATH ""
    INSTALL_RPATH_USE_LINK_PATH OFF
    OUTPUT_NAME _gammu)

if (PYTHON_DEBUG STREQUAL True)
    set_target_properties (python_gammu PROPERTIES
        OUTPUT_NAME _gammu_d)
endif (PYTHON_DEBUG STREQUAL True)

if (WIN32 AND NOT CYGWIN)
    set_target_properties (python_gammu PROPERTIES
         SUFFIX ".pyd"
         )
endif (WIN32 AND NOT CYGWIN)
target_link_libraries (python_gammu libGammu)
target_link_libraries (python_gammu gsmsd)
target_link_libraries (python_gammu ${PYTHON_LIBRARIES})
install(TARGETS python_gammu LIBRARY DESTINATION "${PYTHON_SITEDIR}/gammu/" COMPONENT "python")

file(GLOB PYFILES "*.py")
foreach(PYFILE ${PYFILES})
    get_filename_component(FILENAME "${PYFILE}" NAME)
    configure_file("${PYFILE}" "${CMAKE_CURRENT_BINARY_DIR}/${FILENAME}" COPY_ONLY)
endforeach(PYFILE)
install(FILES ${PYFILES} DESTINATION "${PYTHON_SITEDIR}/gammu/" COMPONENT "python")

=== debian/changelog ===
gammu (1.27.92-3) unstable; urgency=low

  * Upstream fix for smsbackup testing failure on armel.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Feb 2010 16:38:28 +0100

gammu (1.27.92-2) unstable; urgency=low

  * Fix timing of py-smsd-testing test.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Feb 2010 15:13:11 +0100

gammu (1.27.92-1) unstable; urgency=low

  * New upstream testing version.
  * Upload to unstable to fix FTBFS.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Feb 2010 11:32:31 +0100

gammu (1.27.91-1) experimental; urgency=low

  * New upstream testing version.
  * Tests should work on all arches (Closes: #567231).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Feb 2010 19:26:01 +0100

gammu (1.27.90-1) experimental; urgency=low

  * New upstream test version.
  * No need to ignore files-detail tests.

 -- Michal Čihař <nijel@debian.org>  Wed, 06 Jan 2010 16:50:00 +0100

gammu (1.27.0-1) unstable; urgency=low

  * New upstream stable version, upload to unstable.
  * Disable test smsd-files-detail as it is broken.

 -- Michal Čihař <nijel@debian.org>  Tue, 22 Dec 2009 10:47:14 +0100

gammu (1.26.93-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Sat, 12 Dec 2009 19:56:18 +0100

gammu (1.26.92-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Dec 2009 16:34:51 +0100

gammu (1.26.91-1) experimental; urgency=low

  * New upstream testing release.
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Thu, 19 Nov 2009 15:23:25 +0100

gammu (1.26.1-2) unstable; urgency=low

  * Do not build depend on libusb on !linux, it is not available there.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 10:28:52 +0100

gammu (1.26.90-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Mon, 12 Oct 2009 15:58:48 +0200

gammu (1.26.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 08 Sep 2009 10:15:28 +0200

gammu (1.26.0-1) unstable; urgency=low

  * New upstream stable version, upload to unstable.
  * Include preinst snipped to remove crap left over by pycentral 
    (Closes: #544415).

 -- Michal Čihař <nijel@debian.org>  Fri, 04 Sep 2009 10:58:14 +0200

gammu (1.25.93-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 27 Aug 2009 13:08:25 +0200

gammu (1.25.92-1) experimental; urgency=low

  * New upstream version.
  * Bump soname to 7 (libgammu7 and libgsmd7).
  * Bump standards to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Fri, 21 Aug 2009 13:01:15 +0200

gammu (1.25.91-1) experimental; urgency=low

  * New upstream version.
  * Include monitor tool in smsd package.

 -- Michal Čihař <nijel@debian.org>  Thu, 13 Aug 2009 15:16:23 +0200

gammu (1.25.90-1) experimental; urgency=low

  * New upstream testing release.
    - Fixes huge memory consumption (Closes: #538405).

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jul 2009 18:06:13 +0200

gammu (1.25.0-2) unstable; urgency=low

  * Build against new MySQL (Closes: #538457).
  * Switch package development to git, adjust Vcs-* headers.

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jul 2009 16:58:02 +0200

gammu (1.25.0-1) unstable; urgency=low

  * New stable upstream version.
  * Uploaded to unstable.

 -- Michal Čihař <nijel@debian.org>  Thu, 09 Jul 2009 09:48:00 +0200

gammu (1.24.92-1) experimental; urgency=low

  * New upstream testing version.
  * Bump standards to 3.8.2.

 -- Michal Čihař <nijel@debian.org>  Wed, 24 Jun 2009 14:49:59 +0200

gammu (1.24.91-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 May 2009 09:30:50 +0200

gammu (1.24.90-1) experimental; urgency=low

  * New upstream testing version.
  * Build against libmysqlclient-dev in experimental.

 -- Michal Čihař <nijel@debian.org>  Tue, 12 May 2009 16:14:26 +0200

gammu (1.24.0-1) unstable; urgency=low

  * New upstream version.
  * Ignore sqlite based tests as sqlite is currently broken in unstable
    (Bug#524166).
  * Adjust python-gammu file lists to work with new python paths LP: #358602.

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Apr 2009 16:08:01 +0200

gammu (1.23.92-1) experimental; urgency=low

  * New upstream release.
  * Improved some messages (Closes: #521022).
  * Update debian/control to use new sections.
  * Do not ship gnapplet (Closes: #521448).
  * Update README.Debian to point users to upstread download for gnapplet.
  * Switched to python-support.
  * Use new overrides features of dh.

 -- Michal Čihař <nijel@debian.org>  Mon, 30 Mar 2009 17:11:51 +0200

gammu (1.23.91-1) experimental; urgency=low

  * New upstream release.
  * Move man pages from lib* packages to match policy 8.2.
  * Bump policy to 3.8.1 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Mar 2009 10:05:55 +0100

gammu (1.23.90-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 11 Mar 2009 14:29:18 +0100

gammu (1.23.1-2) unstable; urgency=low

  * chrpatch should not be needed in this release anymore (and the paths were
    wrong for upcoming changes in Python).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Mar 2009 17:04:26 +0100

gammu (1.23.1-1) unstable; urgency=low

  * New upstream release.
  * Do not start if smsd is not configured (Closes: #517247).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Mar 2009 15:47:04 +0100

gammu (1.23.0-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 23 Feb 2009 17:15:33 +0100

gammu (1.22.95-1) experimental; urgency=low

  * New upstream testing version.
  * Fix file lists to match current reogranising in upstream.

 -- Michal Čihař <nijel@debian.org>  Tue, 17 Feb 2009 11:05:18 +0100

gammu (1.22.94-1) experimental; urgency=low



=== debian/control ===
Source: gammu
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 7.0.50),
    cmake (>= 2.4.2),
    python-all-dev (>= 2.3.5-11),
    python-all-dbg,
    python-epydoc,
    python-support (>= 0.5.3),
    pkg-config,
    libmysqlclient-dev,
    libpq-dev,
    libcurl4-gnutls-dev,
    libusb-1.0-0-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
    libdbd-sqlite3,
    sqlite3,
    libdbi0-dev,
    libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.4
Section: comm
XS-Python-Version: all
Homepage: http://www.gammu.org
Vcs-Browser: http://git.debian.org/?p=collab-maint/gammu.git
Vcs-Git: git://git.debian.org/git/collab-maint/gammu.git

Package: gammu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: whiptail | dialog, libgammu-i18n (>= ${source:Version})
Suggests: wammu
Description: mobile phone management utility
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains Gammu binary as well as some examples.

Package: gammu-smsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: gammu
Description: SMS message daemon
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains Gammu SMS Daemon and tool to inject messages
 into the queue.

Package: libgammu-dev
Section: libdevel
Architecture: any
Depends: libgammu7 (= ${binary:Version}),
    libgsmsd7 (= ${binary:Version}),
    ${misc:Depends}
Replaces: libgammu1-dev
Conflicts: libgammu1-dev
Suggests: pkg-config
Description: mobile phone management library (development files)
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains header files needed for compiling programs with
 Gammu and developer documentation.

Package: libgammu-i18n
Section: localization
Architecture: all
Conflicts: libgammu1, libgammu-common
Replaces: libgammu1, libgammu-common
Depends: ${misc:Depends}
Suggests: libgammu7
Description: mobile phone management library (i18n files)
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains i18n files for Gammu shared library and binary.

Package: libgammu7
Suggests: gammu
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgammu-i18n (>= ${source:Version})
Description: mobile phone management library
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains Gammu shared library.

Package: libgsmsd7
Suggests: gammu-smsd
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SMS daemon helper library
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains Gammu SMS daemon shared library.

Package: libgammu-dbg
Suggests: gammu
Section: debug
Priority: extra
Architecture: any
Depends: libgammu7 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgammu2-dbg,
    libgammu3-dbg,
    libgammu4-dbg,
    gammu (<< ${binary:Version}),
    gammu (>> ${binary:Version})
Replaces: libgammu2-dbg, libgammu3-dbg, libgammu4-dbg
Description: mobile phone management library (debugger symbols)
 Gammu is command line utility and library to work with mobile phones
 from many vendors. Support for different models differs, but basic
 functions should work with majority of them. Program can work with
 contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem,
 integrated radio, camera, etc. It also supports daemon mode to send and
 receive SMSes.
 .
 Currently supported phones include:
 .
  * Many Nokia models.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * AT capable phones (Siemens, Nokia, Alcatel, IPAQ).
  * OBEX and IrMC capable phones (Sony-Ericsson, Motorola).
  * Symbian phones through gnapplet.
 .
 This package contains debugger symbols for both Gammu library and binary.

Package: python-gammu
Architecture: any
Replaces: python2.4-gammu (<< 0.14-1),  python2.3-gammu (<< 0.14-1)
Conflicts: python2.4-gammu (<< 0.14-1),  python2.3-gammu (<< 0.14-1)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: python-gammu-doc (>= ${source:Version})
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Section: python
Description: Python module to communicate with mobile phones
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...
 .
 This package contains modules for all Python versions supported in Debian.

Package: python-gammu-dbg
Architecture: any
Priority: extra
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: python-gammu-doc (>= ${source:Version})
Depends: python-gammu (= ${binary:Version}),
    python-dbg,
    ${shlibs:Depends},
    ${python:Depends},
    ${misc:Depends}
Section: debug
Description: Python module to communicate with mobile phones (debug version)
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...
 .
 This package contains modules for all Python versions supported in
 Debian built for Python debug interpreter.

Package: python-gammu-doc
Architecture: all
Depends: ${shlibs:Depends},
    ${python:Depends},
    ${misc:Depends},
    python-gammu (>= ${source:Version})
Section: doc
Description: Documentation for Python module to communicate with mobile phones
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...
 .
 This package contains documentation and examples.
